Update a Contact Note
curl --request PUT \
--url https://api.virtuoussoftware.com/api/ContactNote/{noteId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "<string>",
"note": "<string>",
"noteDateTime": "<dateTime>",
"important": "<boolean>",
"private": "<boolean>",
"timeSpent": "<integer>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: '<string>',
note: '<string>',
noteDateTime: '<dateTime>',
important: '<boolean>',
private: '<boolean>',
timeSpent: '<integer>'
})
};
fetch('https://api.virtuoussoftware.com/api/ContactNote/{noteId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/ContactNote/{noteId}"
payload = {
"type": "<string>",
"note": "<string>",
"noteDateTime": "<dateTime>",
"important": "<boolean>",
"private": "<boolean>",
"timeSpent": "<integer>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/ContactNote/{noteId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"type\": \"<string>\",\n \"note\": \"<string>\",\n \"noteDateTime\": \"<dateTime>\",\n \"important\": \"<boolean>\",\n \"private\": \"<boolean>\",\n \"timeSpent\": \"<integer>\"\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/ContactNote/{noteId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'type' => '<string>',
'note' => '<string>',
'noteDateTime' => '<dateTime>',
'important' => '<boolean>',
'private' => '<boolean>',
'timeSpent' => '<integer>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.put("https://api.virtuoussoftware.com/api/ContactNote/{noteId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"type\": \"<string>\",\n \"note\": \"<string>\",\n \"noteDateTime\": \"<dateTime>\",\n \"important\": \"<boolean>\",\n \"private\": \"<boolean>\",\n \"timeSpent\": \"<integer>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/ContactNote/{noteId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"type\": \"<string>\",\n \"note\": \"<string>\",\n \"noteDateTime\": \"<dateTime>\",\n \"important\": \"<boolean>\",\n \"private\": \"<boolean>\",\n \"timeSpent\": \"<integer>\"\n}"
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/ContactNote/{noteId}';
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: '<string>',
note: '<string>',
noteDateTime: '<dateTime>',
important: '<boolean>',
private: '<boolean>',
timeSpent: '<integer>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 850021,
"timeSpent": 30,
"contactId": 100234,
"createDateTimeUtc": "2025-10-05T15:12:00Z",
"createdByUser": "Development Team",
"modifiedDateTimeUtc": "2025-11-15T18:00:00Z",
"modifiedByUser": "Partner Integration",
"noteDate": "2025-10-05",
"type": "Call",
"note": "Discussed year-end capital campaign gift; Marcus confirmed a $1,000 pledge payment by check.",
"important": true,
"isPrivate": false,
"createdByAvatarUrl": "https://api.virtuoussoftware.com/avatars/users/development-team.png",
"reminder": {
"id": 860007,
"message": "Follow up on capital campaign pledge balance",
"targetDate": "2025-12-01",
"targetResolutionDateUtc": "2025-12-01T17:00:00Z",
"contactId": 100234,
"contactViewUrl": "https://api.virtuoussoftware.com/api/Contact/100234",
"contactDisplayName": "Marcus Castellano",
"contactAvatarUrl": "https://api.virtuoussoftware.com/api/ContactIndividual/200234/Avatar",
"reminderType": "Task",
"reminderTypeDisplayName": "Task",
"taskStatus": "Open",
"taskStatusDisplayName": "Open",
"completeUrl": "https://api.virtuoussoftware.com/api/Reminder/Completed/860007",
"dismissUrl": "https://api.virtuoussoftware.com/api/Reminder/Dismissed/860007",
"description": "Follow up on capital campaign pledge balance",
"hasContact": true,
"isPastDue": false,
"isUnresolved": true,
"canComplete": true,
"completeActionName": "Complete",
"canCompleteWithNote": true,
"owner": "Development Team",
"ownerAvatarUrl": "https://api.virtuoussoftware.com/avatars/users/development-team.png"
}
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Contact Notes
Update a Contact Note
Similar to other update methods in the API, excluding a property will remove it’s value from the object. If you’re only updating a single property, the entire model is still required.
PUT
/
api
/
ContactNote
/
{noteId}
Update a Contact Note
curl --request PUT \
--url https://api.virtuoussoftware.com/api/ContactNote/{noteId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "<string>",
"note": "<string>",
"noteDateTime": "<dateTime>",
"important": "<boolean>",
"private": "<boolean>",
"timeSpent": "<integer>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: '<string>',
note: '<string>',
noteDateTime: '<dateTime>',
important: '<boolean>',
private: '<boolean>',
timeSpent: '<integer>'
})
};
fetch('https://api.virtuoussoftware.com/api/ContactNote/{noteId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/ContactNote/{noteId}"
payload = {
"type": "<string>",
"note": "<string>",
"noteDateTime": "<dateTime>",
"important": "<boolean>",
"private": "<boolean>",
"timeSpent": "<integer>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/ContactNote/{noteId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"type\": \"<string>\",\n \"note\": \"<string>\",\n \"noteDateTime\": \"<dateTime>\",\n \"important\": \"<boolean>\",\n \"private\": \"<boolean>\",\n \"timeSpent\": \"<integer>\"\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/ContactNote/{noteId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'type' => '<string>',
'note' => '<string>',
'noteDateTime' => '<dateTime>',
'important' => '<boolean>',
'private' => '<boolean>',
'timeSpent' => '<integer>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.put("https://api.virtuoussoftware.com/api/ContactNote/{noteId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"type\": \"<string>\",\n \"note\": \"<string>\",\n \"noteDateTime\": \"<dateTime>\",\n \"important\": \"<boolean>\",\n \"private\": \"<boolean>\",\n \"timeSpent\": \"<integer>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/ContactNote/{noteId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"type\": \"<string>\",\n \"note\": \"<string>\",\n \"noteDateTime\": \"<dateTime>\",\n \"important\": \"<boolean>\",\n \"private\": \"<boolean>\",\n \"timeSpent\": \"<integer>\"\n}"
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/ContactNote/{noteId}';
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: '<string>',
note: '<string>',
noteDateTime: '<dateTime>',
important: '<boolean>',
private: '<boolean>',
timeSpent: '<integer>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 850021,
"timeSpent": 30,
"contactId": 100234,
"createDateTimeUtc": "2025-10-05T15:12:00Z",
"createdByUser": "Development Team",
"modifiedDateTimeUtc": "2025-11-15T18:00:00Z",
"modifiedByUser": "Partner Integration",
"noteDate": "2025-10-05",
"type": "Call",
"note": "Discussed year-end capital campaign gift; Marcus confirmed a $1,000 pledge payment by check.",
"important": true,
"isPrivate": false,
"createdByAvatarUrl": "https://api.virtuoussoftware.com/avatars/users/development-team.png",
"reminder": {
"id": 860007,
"message": "Follow up on capital campaign pledge balance",
"targetDate": "2025-12-01",
"targetResolutionDateUtc": "2025-12-01T17:00:00Z",
"contactId": 100234,
"contactViewUrl": "https://api.virtuoussoftware.com/api/Contact/100234",
"contactDisplayName": "Marcus Castellano",
"contactAvatarUrl": "https://api.virtuoussoftware.com/api/ContactIndividual/200234/Avatar",
"reminderType": "Task",
"reminderTypeDisplayName": "Task",
"taskStatus": "Open",
"taskStatusDisplayName": "Open",
"completeUrl": "https://api.virtuoussoftware.com/api/Reminder/Completed/860007",
"dismissUrl": "https://api.virtuoussoftware.com/api/Reminder/Dismissed/860007",
"description": "Follow up on capital campaign pledge balance",
"hasContact": true,
"isPastDue": false,
"isUnresolved": true,
"canComplete": true,
"completeActionName": "Complete",
"canCompleteWithNote": true,
"owner": "Development Team",
"ownerAvatarUrl": "https://api.virtuoussoftware.com/avatars/users/development-team.png"
}
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Authorizations
Body
application/json
Response
OK
Last modified on July 24, 2026
Was this page helpful?